'Wscript.Echo "Conversion Marco"

wdFormatHTML    = 8
wdColorBlue = 16711680


Set WSHShell = WScript.CreateObject("WScript.Shell") 
Set appWord = Wscript.CreateObject("Word.Application") 


set args = WScript.Arguments
num = args.Count

if num < 9 then
   WScript.Echo "Usage: CScript Wsscript.vbs <wordFileName.doc> <htmlFileName.htm> <needTOC [0 | 1]>  <tocName.htm> <tocFontName> <tocFontSize> <tocFontStyle> <tocFormat> <tocBullets>"
   WScript.Quit 1
end if


wordFileName = args.Item(0)
htmlFileName = args.Item(1)
needTOC =  args.Item(2)
tocName =  args.Item(3)
tocFontName =  args.Item(4)
tocFontSize = args.Item(5)
tocFontStyle =  args.Item(6)
tocFormat = args.Item(7)
tocBullets = args.Item(8)


'Opening File
appWord.Visible = FALSE   
appWord.Documents.Open wordFileName   



if needToc = 1  then

appWord.ActiveWindow.ActivePane.NewFrameset


appWord.ActiveWindow.ActivePane.TOCInFrameset
appWord.ActiveWindow.Document.Frameset.ChildFramesetItem(1).WidthType = 1
appWord.ActiveWindow.Document.Frameset.ChildFramesetItem(1).Width = 245
appWord.ActiveWindow.Document.Frameset.ChildFramesetItem(1).FrameName = "TOC"

appWord.ActiveWindow.Document.Frameset.FramesetBorderWidth = 1
appWord.ActiveWindow.Document.Frameset.FramesetBorderColor = wdColorBlue

appWord.ActiveDocument.TablesOfContents.Format = tocFormat

appWord.ActiveDocument.Styles("Hyperlink").Font.NameAscii = tocFontName
appWord.ActiveDocument.Styles("Hyperlink").Font.Name = tocFontName
appWord.ActiveDocument.Styles("Hyperlink").Font.Size = tocFontSize

if (tocFontStyle=1) then
	appWord.ActiveDocument.Styles("Hyperlink").Font.Bold = TRUE
elseif (tocFontStyle=2) then
	appWord.ActiveDocument.Styles("Hyperlink").Font.Italic = TRUE
elseif (tocFontStyle=3) then
	appWord.ActiveDocument.Styles("Hyperlink").Font.Bold = TRUE
	appWord.ActiveDocument.Styles("Hyperlink").Font.Italic = TRUE
end if



appWord.Selection.HomeKey 6,1
appWord.Selection.Collapse 1

appWord.Selection.TypeText tocName
appWord.Selection.Style.Font.NameAscii = tocFontName
appWord.Selection.Style.Font.Name = tocFontName
appWord.Selection.Style.Font.Size = 15

if (tocFontSize>15) then
	appWord.Selection.Style.Font.Size = tocFontSize
end if

appWord.Selection.Font.Bold = TRUE
appWord.Selection.Font.BoldBi = TRUE


appWord.Selection.TypeParagraph
appWord.Selection.TypeParagraph
appWord.Selection.TypeParagraph


end if

appWord.ActiveDocument.SaveAs htmlFileName,wdFormatHTML,,,FALSE

appWord.Quit

Set appWord = Nothing


