// WordHTMLView.h : interface of the CWordHTMLView class
//


#pragma once


class CWordHTMLView : public CHtmlView
{
protected: // create from serialization only
	CWordHTMLView();
	DECLARE_DYNCREATE(CWordHTMLView)

// Attributes
public:
	CWordHTMLDoc* GetDocument() const;
	CString navPath;
	CString goPath;

// Operations
public:

// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CWordHTMLView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
	afx_msg LRESULT OnUserGeneric(UINT wParam, LONG lParam);	
	afx_msg LRESULT OnUserNavigate(UINT wParam, LONG lParam);	
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnFileSaveAs();
	afx_msg void OnTocDonotgeneratetoc();
	afx_msg void OnTocGeneratetoc();
	afx_msg void OnUpdateTocGeneratetoc(CCmdUI *pCmdUI);
	afx_msg void OnUpdateTocDonotgeneratetoc(CCmdUI *pCmdUI);
	afx_msg void OnTableofcontentsToctitle();
	afx_msg void OnTableofcontentsTocfont();
	afx_msg void OnTableofcontentsToggletoc();
	afx_msg void OnUpdateTableofcontentsToggletoc(CCmdUI *pCmdUI);
};

#ifndef _DEBUG  // debug version in WordHTMLView.cpp
inline CWordHTMLDoc* CWordHTMLView::GetDocument() const
   { return reinterpret_cast<CWordHTMLDoc*>(m_pDocument); }
#endif

